Reports Transactions
This endpoint can be used for generating transaction-reports for a specified user / period
Reference
POST /reports/transactions/
General search parameters
| field | type | description/constraints | Req |
|---|---|---|---|
| useCache | boolean | Use API caching module | No |
| page | int | Show page x from resultset (default: 1) | No |
| itemsPerPage | int | Number of items per page Minimum: 1 item Maximum 100 items (default: 25) |
No |
| userId | int | The userId | Yes |
| portal | string | Available options: | No |
| - marktplaats | |||
| - tweedehands | |||
| feature | boolean/string | Available options: | No |
| false -> show all publish + feature transactions | |||
| empty -> show only publish-transactions | |||
| marktplaats | |||
| - omhoogplaatsen | |||
| - dagtopper | |||
| - dagtopper3 | |||
| - dagtopper7 | |||
| - homepaginaAdvertentie | |||
| - url | |||
| tweedehands | |||
| - omhoogplaatsen | |||
| - dagtopper | |||
| - dagtopper3 | |||
| - dagtopper7 | |||
| - homepaginaAdvertentie | |||
| - url | |||
| dateStart | datetime | Maximum range between dateStart and dateEnd is 1 month |
No |
| dateEnd | datetime | When dateStart and dateEnd are omitted the selection will be limited to 1 month prior to the current date |
No |
| result | boolean | true -> only show items who are succesfully processed. | No |
| false -> show all transactions (default) | |||
| order | array | List of order-objects | No |
Fields order
| field | type | constraints | Req |
|---|---|---|---|
| field | string | Available options: | Yes |
| - portal | |||
| - created | |||
| - feature | |||
| descending | boolean | If set to true: ordering is done descending instead of ascending | No |
Fields
| field | type | description/constraints |
|---|---|---|
| portal | string | Available options: |
| - marktplaats | ||
| - tweedehands | ||
| transactionId | int | |
| walletUserId | int | |
| walletCompanyName | string | |
| userId | int | |
| companyName | string | |
| adId | int | |
| remoteAdId | int | |
| mainCategory | string | |
| category | string | |
| title | string | |
| action | string | |
| feature | string | |
| price | float | The price in Euro's |
| pricePortal | float | The additional price to pay at the specified portalĀ |
| priceTotal | float | The total price (price + pricePortal) |
| payWithBudget | boolean | |
| payWithBundle | boolean | |
| payWithDiscountBundle | boolean | |
| budgetBefore | float | The users budget in Euro's |
| budgetAfter | float | |
| bundleBefore | int | |
| bundleAfter | int | |
| bundleId | int | |
| discountBundleBefore | float | |
| discountBundleAfter | float | |
| discountBundleId | int | |
| created | datetime | |
| processed | datetime | |
| done | boolean | |
| result | boolean |
Example
Request
POST /rest/v1/reports/transactions HTTP/2
{
"userId": 12311,
"dateStart": "2019-01-01 00:00:00",
"dateEnd": "2020-01-01 00:00:00",
"useCache": true,
"page": 1,
"itemsPerPage": 10
}
Response
{
"result": true,
"fromCache": false,
"totalItems": 1,
"totalInSet": 1,
"page": 1,
"itemsPerPage": 10,
"speed": 0.0006389617919921875,
"data": [
{
"portal": "marktplaats",
"transactionId": 492,
"walletUserId": 12311,
"walletCompanyName": "Internet Service Nederland B.V.",
"userId": 12311,
"companyName": "Internet Service Nederland B.V.",
"adId": 662891,
"remoteAdId": 1200096475,
"mainCategory": "Kleding | Dames",
"category": "Blouses en Tunieken",
"title": "Consectetur adipisc elit Proin laoreet",
"action": "addad",
"feature": "",
"price": 0.1,
"pricePortal": 0.29,
"priceTotal": 0.39,
"payWithBudget": 1,
"payWithBundle": 0,
"payWithDiscountBundle": 0,
"budgetBefore": 10,
"budgetAfter": 9.9,
"bundleBefore": 0,
"bundleAfter": 0,
"bundleId": 0,
"discountBundleBefore": 0,
"discountBundleAfter": 0,
"discountBundleId": 0,
"created": "2019-03-01 12:04:35",
"processed": "2019-03-01 12:04:39",
"done": true,
"result": true
}
]
}